Bug 1119321 - [Doc] the step of dashboard Installation miss change the ALLOWED_HOSTS in /etc/openstack-dashboard/local_settings
Summary: [Doc] the step of dashboard Installation miss change the ALLOWED_HOSTS in /et...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: doc-Installation_and_Configuration_Guide
Version: 5.0 (RHEL 7)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 5.0 (RHEL 7)
Assignee: Deepti Navale
QA Contact: RHOS Documentation Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-14 14:02 UTC by lidong chen
Modified: 2015-10-21 23:13 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-20 00:13:04 UTC


Attachments (Terms of Use)

Description lidong chen 2014-07-14 14:02:12 UTC
Description of problem:

Version-Release number of selected component (if applicable):
openstack 5 on rhel 7

How reproducible:
when login in http://10.66.216.4/dashboard/, it return 400 error number.
and there are error in /var/log/httpd/error_log

[Mon Jul 14 14:29:49.589536 2014] [:error] [pid 19327] Invalid HTTP_HOST header: '10.66.216.4'.You may need to add u'10.66.216.4' to ALLOWED_HOSTS.
[Mon Jul 14 14:29:55.841191 2014] [:error] [pid 19327] Invalid HTTP_HOST header: '10.66.216.4'.You may need to add u'10.66.216.4' to ALLOWED_HOSTS.
[Mon Jul 14 14:33:42.857048 2014] [:error] [pid 19327] Invalid HTTP_HOST header: '10.66.216.4'.You may need to add u'10.66.216.4' to ALLOWED_HOSTS.
[Mon Jul 14 14:35:08.720558 2014] [:error] [pid 19327] Invalid HTTP_HOST header: '10.66.216.4'.You may need to add u'10.66.216.4' to ALLOWED_HOSTS.
[Mon Jul 14 14:35:39.605272 2014] [:error] [pid 19327] Invalid HTTP_HOST header: '10.66.216.4'.You may need to add u'10.66.216.4' to ALLOWED_HOSTS.

it need modify ALLOWED_HOSTS in /etc/openstack-dashboard/local_settings
# Required for Django 1.5.
# If horizon is running in production (DEBUG is False), set this
# with the list of host/domain names that the application can serve.
# For more information see:
# https://docs.djangoproject.com/en/dev/ref/settings/#allowed-hosts
ALLOWED_HOSTS = ['horizon.example.com', 'localhost', '10.66.216.4']

but we didn't describe this step in document.

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 Martin Lopes 2014-07-18 01:57:34 UTC
This bug is being assigned to Deepti Navale, who is now the designated docs specialist for Dashboard.

Comment 3 Deepti Navale 2014-07-18 02:16:20 UTC
Hi, 

Can you please add a link to the section with the missing step or at least add the section title?

Thanks,
Deepti


Note You need to log in before you can comment on or make changes to this bug.